# User documentation

This is project contain IT4Innovation user documentation source.

## Environments

* [https://docs.it4i.cz - master branch](https://docs.it4i.cz - master branch)
* [https://docs.it4i.cz/devel/$BRANCH_NAME](https://docs.it4i.cz/devel/$BRANCH_NAME) - maps the branches, available only with VPN access

## URLs

* [http://facelessuser.github.io/pymdown-extensions/](http://facelessuser.github.io/pymdown-extensions/)
* [http://squidfunk.github.io/mkdocs-material/](http://squidfunk.github.io/mkdocs-material/)

## Rules

* [spellcheck https://github.com/lukeapage/node-markdown-spellcheck](spellcheck https://github.com/lukeapage/node-markdown-spellcheck)
* [SI units http://physics.nist.gov/cuu/Units/checklist.html](SI units http://physics.nist.gov/cuu/Units/checklist.html)

```
fair-share
InfiniBand
RedHat
CentOS
Mellanox
```

## Mathematical Formulae

### Formulas are made with:

* https://facelessuser.github.io/pymdown-extensions/extensions/arithmatex/
* https://www.mathjax.org/

You can add formula to page like this:

```
$$
MAX\_FAIRSHARE * ( 1 - \frac{usage_{Project}}{usage_{Total}} )
$$
```

To enable the MathJX on page you need to enable it by adding line ```---8<--- "mathjax.md"``` at the end of file.

## Developemnt Environment

### MkDocs

Documentation pages are build with [MkDocs](http://www.mkdocs.org/), [MkDocs at GitHub](https://github.com/mkdocs/mkdocs/). You need to install mkdocs loacally so that you can build the pages and run developement web server.

```bash
pip install mkdocs pygments pymdown-extensions
```

You can build the pages with `mkdocs build`.

```bash
‹hrb33-toshiba› 11:47 $ mkdocs build
INFO    -  Cleaning site directory
INFO    -  Building documentation to directory: /home/hrb33/Dokumenty/dev/it4i/docs.it4i.git/site
```

You can start local server with `mkdocs serve`.

```bash
✔ ~/Dokumenty/dev/it4i/docs.it4i.git [readme L|✚ 1…6⚑ 1]
‹hrb33-toshiba› 11:47 $ mkdocs serve
INFO    -  Building documentation...
INFO    -  Cleaning site directory
[I 170124 11:47:27 server:283] Serving on http://127.0.0.1:8000
[I 170124 11:47:27 handlers:60] Start watching changes
[I 170124 11:47:27 handlers:62] Start detecting changes
```
